package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 19:18:30
 * @description : 消息任务类型枚举
 */
@Getter
@AllArgsConstructor
public enum CpSendMsgTaskTypeEnum {

    /**
     * 即时任务
     */
    IMMEDIATE_TASK("IMMEDIATE_TASK"),

    /**
     * 循环任务
     */
    CYCLE_TASK("CYCLE_TASK"),

    /**
     * 定时任务
     */
    SCHEDULE_TASK("SCHEDULE_TASK");

    /**
     * 任务类型
     */
    private String value;

}
